> ## Documentation Index
> Fetch the complete documentation index at: https://docs.chat.voicebot.studio/llms.txt
> Use this file to discover all available pages before exploring further.

# Temporary Upload

> Upload an image, video, audio or document. You can use the return object directly when creating a new message. An internal UUID will be generated. This UUID will be used instead of providing a public URL to a file. You can use the URL field, which is reachable from public, for use in Whatsapp templates. Depending on the given type, mime type validation will take place. File will be stored for a maximum of 24 hours. Special: images will be downsized to 1500px (each side, respecting aspect ratio) to maintain file size limits when sending to external services (e.g. WhatsApp limits images to 5MB). Special: videos of type video/quicktime (usually from iOS) will be converted to mp4.



## OpenAPI

````yaml api-reference/openapi.json post /files/temporary-upload
openapi: 3.0.3
info:
  version: 0.1.0
  title: Client API
servers:
  - url: https://1-some-client.some-server.healvi-chat/third-party/v1
security:
  - bearerAuth: []
paths:
  /files/temporary-upload:
    post:
      tags:
        - files
      summary: >
        Upload an image, video, audio or document. You can use the return object
        directly when creating a new message.

        An internal UUID will be generated. This UUID will be used instead of
        providing a public URL to a file.

        You can use the URL field, which is reachable from public, for use in
        Whatsapp templates.

        Depending on the given type, mime type validation will take place.

        File will be stored for a maximum of 24 hours.

        Special: images will be downsized to 1500px (each side, respecting
        aspect ratio) to maintain file size limits

        when sending to external services (e.g. WhatsApp limits images to 5MB).

        Special: videos of type video/quicktime (usually from iOS) will be
        converted to mp4.
      requestBody:
        required: true
        content:
          multipart/form-data:
            schema:
              type: object
              properties:
                type:
                  type: string
                  enum:
                    - image
                    - video
                    - audio
                    - document
                file:
                  type: string
                  format: binary
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: object
                properties:
                  internal_uuid:
                    description: >-
                      Internal identifier which will be used when creating a new
                      message.
                    type: string
                  url:
                    description: Public reachable URL.
                    type: string
                  name:
                    description: Name of uploaded file.
                    type: string
                  type:
                    description: Type of uploaded file (specified on upload).
                    type: string
                  mime_type:
                    description: Mime type of uploaded file.
                    type: string
                  size:
                    description: Size in bytes of uploaded file.
                    type: integer
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````